petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoSetType

Sets the method for the unconstrained minimization solver.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetType(Tao tao, const TaoType type)

Collective on Tao Many br

### Input Parameters

| solver | - the Tao solver context Many br
| type | - a known method Many br

### Options Database Key

-tao_type <type> -Sets the method; use -help for a list Many brof available methods (for instance, "-tao_type lmvm" or "-tao_type tron") Many br

### Available methods include

| nls | - Newton's method with line search for unconstrained minimization Many br
| ntr | - Newton's method with trust region for unconstrained minimization Many br
| ntl | - Newton's method with trust region, line search for unconstrained minimization Many br
| lmvm | - Limited memory variable metric method for unconstrained minimization Many br
| cg | - Nonlinear conjugate gradient method for unconstrained minimization Many br
| nm | - Nelder-Mead algorithm for derivate-free unconstrained minimization Many br
| tron | - Newton Trust Region method for bound constrained minimization Many br
| gpcg | - Newton Trust Region method for quadratic bound constrained minimization Many br
| blmvm | - Limited memory variable metric method for bound constrained minimization Many br
| pounders | - Model-based algorithm pounder extended for nonlinear least squares Many br

Many br

### See Also

TaoCreate(), TaoGetType(), TaoType

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F.html
src/tao/constrained/examples/tutorials/maros.c.html